liste_mots = open("liste_mots_francais.txt").read().splitlines()

count = 0
for mot in liste_mots:
    if mot.count('t') == 1 and mot.count('h') == 1 and mot.count('o') == 1 and mot.count('r') == 1:
        count += 1
print(count)